#!/usr/bin/python3
import sys, os, re

# Take a .covp-file, build the map


helpText = \
        """usage: {} covp-file covd-file""".format(sys.argv[0])

def printHelp():
    print(helpText)

if __name__ == "__main__":
    if len(sys.argv) != 3 or not os.path.exists(sys.argv[1]) or not os.path.exists(sys.argv[2]):
        printHelp()
        sys.exit(1)

    # build the dict
    _lines = dict()
    covp = open(sys.argv[1])
    tmp = covp.read().split('\n')[:-1]
    covp.close()
    for line in tmp:
        _lines.update({line:0})
    #debug
    #print(_lines)

    # update the dict
    covd = open(sys.argv[2])
    tmp = covd.read().split('\n')
    covd.close()
    lineno=1;
    for line in tmp:
        lineno=lineno+1
        try:
            if(re.fullmatch(r'Line [0-9]*', line)):
                _lines.update({line:_lines[line]+1})
        except Exception as e:
            print("Error in line {}".format(lineno))
            #print(str(e))
            
    
    #debug
    #print(_lines)

    out = open(sys.argv[1][:(sys.argv[1].rfind('.'))+1]+'cov',"w")
    for k in _lines.keys():
        out.write("{}: {}\n".format(k, _lines[k]))
    out.close()
